M_ActivExchange = {}

function M_ActivExchange:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivExchange:init()
	self.datas = {}
	self.datas[1] = {ID = 1, ExchangeItems = {57}, QuantityRequired = {2}, GetItems = 16, GetQuantity = 10}
	self.datas[2] = {ID = 2, ExchangeItems = {58}, QuantityRequired = {3}, GetItems = 1, GetQuantity = 3000}
	self.datas[3] = {ID = 3, ExchangeItems = {60}, QuantityRequired = {30}, GetItems = 23, GetQuantity = 1}
	self.datas[4] = {ID = 4, ExchangeItems = {60,57,59}, QuantityRequired = {20,15,5}, GetItems = 24, GetQuantity = 1}
	self.datas[5] = {ID = 5, ExchangeItems = {60,58,57}, QuantityRequired = {70,80,50}, GetItems = 56, GetQuantity = 1}
end

M_ActivExchange:init()
